## systemsettings 5.12.2

=== debian/changelog ===
systemsettings (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:59 +0100

systemsettings (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:13 +0100

systemsettings (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:04:00 +0100

systemsettings (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add new qml-module-org-kde-kcm runtime dependency
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump ecm build dep (for ECMQMLModules)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:17 +0100

systemsettings (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:26 -0300

systemsettings (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:50 +0200

systemsettings (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Sync debian/watch and debian/upstream/signing-key.asc with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * Qt5QuickConfig
  * KF5 (missing: Package Declarative)
  * qmllint
  * KF5Kirigami2Config.cmake
  * Could NOT find KF5 (missing: Activities ActivitiesStats)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:01 +0200

systemsettings (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
     + Set the correct desktop file name when in a KDE session.
        System Settings installs two .desktop files:
        - kdesystemsettings.desktop setting NotShowIn=KDE, for non-KDE desktops
        - systemsettings.desktop, the one we use in Plasma
        As of 39e13de3468a, it sets "kdesystemsettings" as its desktop file
        name using KAboutData. As this is not the one we show in our menus,
        it's not the one used as applicationId for the KStartupInfo provided
        to the Task Manager after starting System Settings. With the eventual
        window telling the Task Manager to use a different .desktop file, the
        Task Manager can no longer match up the startup notification and the
        window, causing them to co-exist instead of replace each other.
        Telling the environment you're running in to look at a .desktop file
        you've also told it to ignore is wrong app behavior, and this should
        not be worked around in the Task Manager (especially as it would
        cause I/O in a hotpath, requiring it to open and parse the .desktop
        file to realize it's crummy and ignore it, falling back from the
        window hint to a slow heuristic).
        This patch instead makes it use the correct desktop file name when
        KDE_FULL_SESSION is set. This completes the original hack of shipping
        two .desktop files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Jun 2017 10:51:05 +0200

systemsettings (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:24 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.30~),
               libkf5activitiesstats-dev (>= 5.30~),
               libkf5config-dev (>= 5.30~),
               libkf5crash-dev (>= 5.30~),
               libkf5dbusaddons-dev (>= 5.30~),
               libkf5declarative-dev (>= 5.30~),
               libkf5doctools-dev (>= 5.30~),
               libkf5i18n-dev (>= 5.30~),
               libkf5iconthemes-dev (>= 5.30~),
               libkf5itemviews-dev (>= 5.30~),
               libkf5kcmutils-dev (>= 5.30~),
               libkf5khtml-dev (>= 5.30~),
               libkf5kio-dev (>= 5.30~),
               libkf5package-dev (>= 5.30~),
               libkf5service-dev (>= 5.30~),
               libkf5widgetsaddons-dev (>= 5.30~),
               libkf5windowsystem-dev (>= 5.30~),
               libkf5xmlgui-dev (>= 5.30~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.12.3

=== debian/changelog ===
systemsettings (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:15 +0100

## systemsettings 5.12.4

=== CMakeLists.txt ===
project(systemsettings)

set(PROJECT_VERSION "5.12.4")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(ECMQMLModules)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets Quick Qml QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    ItemViews
    KCMUtils
    I18n
    KIO
    Service
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui
    DBusAddons
    Config
    DocTools
    Package
    Declarative
    Activities
    ActivitiesStats
    OPTIONAL_COMPONENTS
    KHtml
    QUIET
)

ecm_find_qmlmodule(org.kde.kcm 1.0)

find_package(KF5Kirigami2 2.1 REQUIRED)

add_subdirectory(core)
add_subdirectory(app)
add_subdirectory(categories)
add_subdirectory(icons)
add_subdirectory(sidebar)
add_subdirectory(doc)

if(KF5KHtml_FOUND)
    add_subdirectory(classic)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== app/CMakeLists.txt ===

include_directories( ToolTips )

set( systemsettings_SRCS
     SystemSettingsApp.cpp
     SettingsBase.cpp
     ToolTips/tooltipmanager.cpp
     main.cpp )

# port it it's in kdelibs4support
# kde4_add_app_icon( systemsettings_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/categories/preferences-system.png" )
ki18n_wrap_ui( systemsettings_SRCS configDialog.ui )
kconfig_add_kcfg_files( systemsettings_SRCS BaseConfig.kcfgc )
qt5_add_dbus_adaptor( systemsettings_SRCS org.kde.systemsettings.xml SystemSettingsApp.h SystemSettingsApp  )

add_executable( systemsettings5 ${systemsettings_SRCS})
target_compile_definitions(systemsettings5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries( systemsettings5 systemsettingsview
    KF5::Crash
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::KIOWidgets
    KF5::Service
    KF5::WindowSystem
    KF5::XmlGui
    KF5::DBusAddons
    KF5::ConfigGui
)

install( TARGETS systemsettings5 ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES systemsettings.kcfg DESTINATION ${DATA_INSTALL_DIR}/systemsettings )
install( FILES systemsettingsui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/systemsettings )
install( PROGRAMS kdesystemsettings.desktop systemsettings.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== core/CMakeLists.txt ===
set(systemsettingsview_LIB_SRCS
    MenuItem.cpp
    MenuModel.cpp
    MenuProxyModel.cpp
    ModuleView.cpp
    BaseData.cpp
    BaseMode.cpp
    ExternalAppModule.cpp
)

ki18n_wrap_ui( systemsettingsview_LIB_SRCS externalModule.ui )

set(systemsettingsview_LIB_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/systemsettingsview_export.h
    MenuItem.h
    MenuModel.h
    MenuProxyModel.h
    BaseData.h
    BaseMode.h
    ModuleView.h
)

add_library( systemsettingsview ${systemsettingsview_LIB_SRCS} )
generate_export_header(systemsettingsview)

target_link_libraries( systemsettingsview
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::IconThemes
    KF5::Activities
 )

set_target_properties( systemsettingsview PROPERTIES SOVERSION 3 )

install( TARGETS systemsettingsview  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES ${systemsettingsview_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/systemsettingsview COMPONENT Devel )
install( FILES systemsettingsview.desktop systemsettingsexternalapp.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

=== sidebar/CMakeLists.txt ===
set( sidebar_mode_srcs
     SidebarMode.cpp
     CategoryDrawer.cpp
     CategorizedView.cpp
     SidebarDelegate.cpp
     ToolTips/tooltipmanager.cpp
) 

add_library(systemsettings_sidebar_mode MODULE ${sidebar_mode_srcs})

target_link_libraries(systemsettings_sidebar_mode systemsettingsview
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::XmlGui
    KF5::Package
    KF5::Declarative
    KF5::ActivitiesStats
    Qt5::Qml
    Qt5::Quick
    Qt5::QuickWidgets
)

install( TARGETS systemsettings_sidebar_mode DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES settings-sidebar-view.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(DIRECTORY package/ DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kpackage/genericqml/org.kde.systemsettings.sidebar)

=== debian/changelog ===
systemsettings (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:30 +0100

systemsettings (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:38 +0000

systemsettings (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:12 +0000

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.42.0~),
               kirigami2-dev (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5activitiesstats-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5khtml-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/systemsettings-([\d.]+)\.tar\.xz

## systemsettings 5.12.5

=== debian/changelog ===
systemsettings (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:29 +0100

## systemsettings 5.12.6

=== debian/changelog ===
systemsettings (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:30 +0100

## systemsettings 5.12.7

=== debian/changelog ===
systemsettings (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:32 +0100

systemsettings (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:30:04 +0100

systemsettings (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:25 +0100

## systemsettings 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(systemsettings)
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.9.0")

=== categories/CMakeLists.txt ===

install( FILES systemsettingscategory.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

install( FILES 
    settings-appearance.desktop
    settings-appearance-workspacetheme.desktop
    settings-appearance-applicationstyle.desktop
    settings-appearance-color.desktop
    settings-appearance-font.desktop
    settings-appearance-icons.desktop

    settings-workspace.desktop
    settings-workspace-windowmanagement.desktop
    settings-workspace-desktopbehavior.desktop
    settings-workspace-shortcuts.desktop
    settings-workspace-session.desktop
    settings-workspace-search.desktop

    settings-personalization.desktop
    settings-personalization-accountdetails.desktop
    settings-personalization-accessibility.desktop
    settings-personalization-regionalsettings.desktop
    settings-personalization-notification.desktop
    settings-personalization-applications.desktop

    settings-network.desktop
    settings-network-networksettings.desktop
    settings-network-connectivity.desktop

    settings-hardware.desktop
    settings-hardware-display.desktop
    settings-hardware-input.desktop
    settings-hardware-multimedia.desktop
    settings-hardware-peripherals.desktop
    settings-hardware-powermanagement.desktop
    settings-hardware-removable-storage.desktop

    DESTINATION  ${SERVICES_INSTALL_DIR} )

if (NOT WIN32)
    install( FILES
         settings-network-bluetooth.desktop
         DESTINATION  ${SERVICES_INSTALL_DIR} )
endif ()

=== debian/changelog ===
systemsettings (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:46 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5xmlgui-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='systemsettings-dbg (<= 4:5.5.5-1~~)'

## systemsettings 5.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-project(systemsettings)
+cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.3")
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.9.0")
 set(KF5_MIN_VERSION "5.42")
 
-find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
@@ -14,8 +14,12 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(GenerateExportHeader)
 include(ECMQMLModules)
+include(ECMQtDeclareLoggingCategory)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets Quick Qml QuickWidgets
@@ -48,6 +52,8 @@
 
 find_package(KF5Kirigami2 2.1 REQUIRED)
 
+find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)
+
 add_subdirectory(core)
 add_subdirectory(app)
 add_subdirectory(categories)
@@ -59,6 +65,8 @@
     add_subdirectory(classic)
 endif()
 
+install(FILES systemsettings.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
systemsettings (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install systemsetting.catagories file
  * New required build dep on plasma-workspace-dev
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:17 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
+               plasma-workspace-dev (>= 4:5.13.3~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8

## systemsettings 5.13.4

=== debian/changelog ===
systemsettings (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:27 +0200

systemsettings (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:30 +0200

systemsettings (4:5.12.5-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * New upstream release (5.12.5).
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:16 +0200

systemsettings (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:59 +0200

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.42~),
               libkf5activitiesstats-dev (>= 5.42~),
               libkf5config-dev (>= 5.42~),
               libkf5crash-dev (>= 5.42~),
               libkf5dbusaddons-dev (>= 5.42~),
               libkf5declarative-dev (>= 5.42~),
               libkf5doctools-dev (>= 5.42~),
               libkf5i18n-dev (>= 5.42~),
               libkf5iconthemes-dev (>= 5.42~),
               libkf5itemviews-dev (>= 5.42~),
               libkf5kcmutils-dev (>= 5.42~),
               libkf5khtml-dev (>= 5.42~),
               libkf5kio-dev (>= 5.42~),
               libkf5package-dev (>= 5.42~),
               libkf5service-dev (>= 5.42~),
               libkf5widgetsaddons-dev (>= 5.42~),
               libkf5windowsystem-dev (>= 5.42~),
               libkf5xmlgui-dev (>= 5.42~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.13.4~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.13.5

=== debian/changelog ===
systemsettings (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/not-installed: Format for dh_missing.
    - debian/meta/cmake-ignore: For Kubuntu CI builds.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:08 +0100

systemsettings (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:48 +0200

systemsettings (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/not-installed: Format for dh_missing.
    - debian/meta/cmake-ignore: For Kubuntu CI builds.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 09:56:48 +0100

systemsettings (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -26,13 +26,13 @@
                libkf5windowsystem-dev (>= 5.42~),
                libkf5xmlgui-dev (>= 5.42~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.13.4~),
+               plasma-workspace-dev (>= 4:5.13.5~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
 
 Package: systemsettings
 Architecture: any

## systemsettings 5.14.3

=== debian/changelog ===
systemsettings (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:01 -0300

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.50.0~),
               libkf5activitiesstats-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5kcmutils-dev (>= 5.50.0~),
               libkf5khtml-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5package-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.14.3~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.14.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.13.3")
+set(PROJECT_VERSION "5.14.4")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.42")
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

=== debian/changelog ===
systemsettings (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:32 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.50.0~),
-               kirigami2-dev (>= 2.1~),
+               kirigami2-dev (>= 5.50.0~),
                libkf5activities-dev (>= 5.50.0~),
                libkf5activitiesstats-dev (>= 5.50.0~),
                libkf5config-dev (>= 5.50.0~),
@@ -26,13 +26,13 @@
                libkf5windowsystem-dev (>= 5.50.0~),
                libkf5xmlgui-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.14.3~),
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
+               plasma-workspace-dev (>= 4:5.14.4~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
 
 Package: systemsettings
 Architecture: any

## systemsettings 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.14.4")
+set(PROJECT_VERSION "5.14.5")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.11.0")

=== debian/changelog ===
systemsettings (4:5.14.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick from upstream trunk to fix a bug in zh_CN
    (Simplified Chinese) .desktop file translation.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Feb 2019 12:45:05 -0500

systemsettings (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:17 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.50.0~),
-               kirigami2-dev (>= 5.50.0~),
+               kirigami2-dev (>= 2.1~),
                libkf5activities-dev (>= 5.50.0~),
                libkf5activitiesstats-dev (>= 5.50.0~),
                libkf5config-dev (>= 5.50.0~),
@@ -26,13 +26,13 @@
                libkf5windowsystem-dev (>= 5.50.0~),
                libkf5xmlgui-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.14.4~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.14.5~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
 
 Package: systemsettings
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_strip:
	dh_strip --dbgsym-migration='systemsettings-dbg (<= 4:5.5.5-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## systemsettings 5.14.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.14.90")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.50.0")
+set(KF5_MIN_VERSION "5.54.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(GenerateExportHeader)
 include(ECMQMLModules)
 include(ECMQtDeclareLoggingCategory)

=== debian/changelog ===
systemsettings (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:26:13 +0000

systemsettings (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:28 +0000

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kirigami2-dev (>= 5.54.0~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5activitiesstats-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5khtml-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5package-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.14.90~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.15.0

=== debian/changelog ===
systemsettings (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:47 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.54.0~),
                libkf5xmlgui-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.14.90~),
+               plasma-workspace-dev (>= 4:5.15.0~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.15.1

=== debian/changelog ===
systemsettings (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:15 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.54.0~),
                libkf5xmlgui-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.0~),
+               plasma-workspace-dev (>= 4:5.15.1~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.15.2

=== debian/changelog ===
systemsettings (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:31 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.54.0~),
                libkf5xmlgui-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.1~),
+               plasma-workspace-dev (>= 4:5.15.2~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.15.4

=== debian/changelog ===
systemsettings (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:24 +0100

systemsettings (4:5.15.3.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:44 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.54.0~),
                libkf5xmlgui-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.2~),
+               plasma-workspace-dev (>= 4:5.15.4~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.15.5

=== debian/changelog ===
systemsettings (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:40 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.54.0~),
                libkf5xmlgui-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.4~),
+               plasma-workspace-dev (>= 4:5.15.5~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.15.5.1%2Brb2

=== icons/CMakeLists.txt ===
set( icon_mode_srcs
     IconMode.cpp
     CategoryDrawer.cpp
     CategorizedView.cpp
) 

add_library(icon_mode MODULE ${icon_mode_srcs})

target_link_libraries(icon_mode systemsettingsview
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
)

install( TARGETS icon_mode DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES settings-icon-view.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )

## systemsettings 5.15.5.1+rb2

=== categories/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-install( FILES systemsettingscategory.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
+install( FILES systemsettingscategory.desktop DESTINATION  ${KDE_INSTALL_KSERVICETYPES5DIR} )
 
 install( FILES 
     settings-appearance.desktop
@@ -35,11 +35,11 @@
     settings-hardware-powermanagement.desktop
     settings-hardware-removable-storage.desktop
 
-    DESTINATION  ${SERVICES_INSTALL_DIR} )
+    DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
 
 if (NOT WIN32)
     install( FILES
          settings-network-bluetooth.desktop
-         DESTINATION  ${SERVICES_INSTALL_DIR} )
+         DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
 endif ()

=== debian/changelog ===
systemsettings (4:5.15.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:01:43 +0800

## systemsettings 5.15.90

=== debian/changelog ===
systemsettings (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:46 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               kirigami2-dev (>= 5.58.0~),
               libkf5activities-dev (>= 5.58.0~),
               libkf5activitiesstats-dev (>= 5.58.0~),
               libkf5config-dev (>= 5.58.0~),
               libkf5crash-dev (>= 5.58.0~),
               libkf5dbusaddons-dev (>= 5.58.0~),
               libkf5declarative-dev (>= 5.58.0~),
               libkf5doctools-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5itemviews-dev (>= 5.58.0~),
               libkf5kcmutils-dev (>= 5.58.0~),
               libkf5khtml-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5package-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5windowsystem-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.15.90~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.16.0

=== debian/changelog ===
systemsettings (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.90~),
+               plasma-workspace-dev (>= 4:5.16.0~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.16.1

=== debian/changelog ===
systemsettings (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:36 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.0~),
+               plasma-workspace-dev (>= 4:5.16.1~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.16.3

=== debian/changelog ===
systemsettings (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:24:05 +0100

systemsettings (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:25:02 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.1~),
+               plasma-workspace-dev (>= 4:5.16.3~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.16.4

=== debian/changelog ===
systemsettings (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.58.0~),
                libkf5xmlgui-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.3~),
+               plasma-workspace-dev (>= 4:5.16.4~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
